<div class="modal fade" id="addTagBasket" tabindex="-1" role="dialog" aria-labelledby="addTagBasket" aria-hidden="true" (click)="check($event)">
    <div class="modal-dialog modal-dialog-slideout modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="basketModalLabel">
                    <strong>Add Tags</strong>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true" (click)="cancelTag()">×</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="input-group" id="searchEle">
                    <input class="form-control border srch-basket-input" placeholder="Search and add tags" type="text" name="searchTextTag"
                    [(ngModel)]="searchTextTag" >
                </div>
                <div class="tags">
                    <div class="BasketList left-div">
                        <p class="ml-2">Available Tags</p>
                        <div class="mb-3">
                            <div class="new-basket-tag ml-1 mb-1 mr-2" *ngFor="let item of basketAvlTags | filter:searchTextTag:['name']">
                                <button class="btn btn-add-tag">
                                    <img src="assets/images/feature_icons/add.png" (click)="includeTag(item)" />
                                </button>
                                <span>{{item.name}}</span>
                            </div>
                        </div>
                    </div>
                    <div class="BasketList right-div">
                        <p class="ml-4">Tags being added</p>
                        <div class="new-basket-tag ml-4 mb-1 mr-2" *ngFor="let item of basketAddedTags">
                            <button class="btn btn-add-tag">
                                <img src="assets/images/novartis/remove.svg" class="tag-remove" (click)="detachTag(item)"/>
                            </button>
                            <span>{{item.name}}</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" 
                    class="btn btn-primary actionButton float-right" (click)="add_basket_tags()">Add Tags</button>
                <button type="button" class="btn btn-secondary btn-action actionButton btn-sm float-right mr-2" id='cancelTagBtn'
                    data-dismiss="modal" (click)="cancelTag()">Cancel</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="confirmDownload1" role="dialog">
    <div class="modal-dialog modal-md top-30">
        <!-- Modal content-->
        <div class="modal-content" id="columnCheck">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="form-check ml-3 ">
                    <input class="form-check-input" type="checkbox" id="defaultCheck1"
                        [(ngModel)]="checkForColumnLevel">
                    <label class="form-check-label Include-Attribute-le" for="defaultCheck1">
                        Include Attribute level information
                    </label>
                </div>
            </div>
            <!-- <div class="modal-footer"> -->
            <div class="row ml-1 mb-3 mt-3">
                <div class="col-md-6"><button class="cancel btn" data-dismiss="modal">Cancel</button>
                </div>
                <div class="col-md-6"><button class="btn btn-primary actionButton mr-3 float-right"
                        (click)="basketDownload()">Continue</button></div>
            </div>
            <!-- </div> -->
        </div>
    </div>
</div>
<div class="dropdown show top-minus-7 action-drop-menu" id="actionDropdown1">
    <a class="btn btn-secondary btn-action actionButton btn-sm dropdown-toggle" href="#" role="button"
        id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        Actions
    </a>
    <div class="dropdown-menu action-drop-menu" aria-labelledby="dropdownMenuLink">
        <a class="dropdown-item disabled" data-toggle="modal" data-target="#addTagBasket" data-backdrop='static'
        appPermissions functionality="CATALOG.ASSIGN_TAG" action="R"
        data-keyboard='false' [ngClass]="{disabled: this.grid?.selectionModule?.selectedRecords?.length < 1}">Add Tag</a>
        <a class="dropdown-item" data-toggle="modal" [ngClass]="{disabled: searchResults?.length < 1}" data-target="#confirmDownload1" data-toggle="modal">Download</a>
    </div>
</div>

<span id="showBasketCount" class="top-minus-5 mr-5">
    <span class="text-muted ml-5">{{searchResults?.length}} items in basket</span>
</span>
<span id="basketColumnSection">
    <button class="btn float-right Rounded top-minus-3" data-ripple="true" aria-label="Columns">
        <img _ngcontent-lla-c19="" alt="Choose Columns" src="assets/images/novartis/column.svg"
            class="icon-css position-absolute">
    </button>
</span>
<div class="ml-3 mr-3 mt-3">
    <ejs-grid #basketgrid [dataSource]='searchResults' id="basket-View" (click)="clickaction($event)"
        allowSorting='true' [sortSettings]='initialSort' [allowFiltering]='false' [toolbar]="baskettoolbar"
        showColumnChooser='true' [filterSettings]='filterOptions' allowPaging='true' [pageSettings]='initialPage' >
        <e-columns>
            <e-column type='checkbox' headerText="Select All" width='30' id=""></e-column>
            <e-column field='Name' isPrimaryKey='true' width='100' 
                headerText="{{ i18Labels.physical['Name'] }}" clipMode='EllipsisWithTooltip'></e-column>
            <e-column field='Logical Name' width='100' headerText="{{ i18Labels.physical['Logical Name'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <e-column field='URI_ID' width='70' headerText="{{ i18Labels.physical['URI'] }}"></e-column>
            <e-column field='Business Description' width='100' headerText="{{ i18Labels.physical['Description'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <e-column headerText="{{ i18Labels.physical['Tags'] }}" field='Tags' width='90'
                clipMode='EllipsisWithTooltip'>
                <ng-template #template let-data>
                    <span>{{getStringOfTags(data?.Tags)}}</span>
                </ng-template>
            </e-column>
            <e-column field='Type' width='70' headerText="{{ i18Labels.physical['Type'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <e-column field='dataAsset' width='90' headerText="{{ i18Labels.physical['DataAsset'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <e-column field='Layer_name' width='100' headerText="{{ i18Labels.physical['Layer Name'] }}"
                clipMode='EllipsisWithTooltip'></e-column>
            <e-column headerText="Remove" width=60 clipMode='EllipsisWithTooltip'>
                <ng-template #template let-data>
                    <span (click)="removeRecord(data['URI_ID'])">
                        <img src="assets/images/novartis/delete.svg" class="delete ml-3" />
                    </span>
                </ng-template>
            </e-column>
            <e-column headerText="View" width=60>
                <ng-template #template let-data>
                    <span>
                        <img src="assets/images/novartis/next.svg" class="next">
                    </span>
                </ng-template>
            </e-column>
        </e-columns>
    </ejs-grid>
</div>